[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 145

`public constructor TControlScrollBar.Create(`
`AControl: TWinControl;`
`AKind: TScrollBarKind`
`);`

## Arguments

`AControl` |  | The windowed control in which the scroll bar is found.
`AKind` |  | The scroll bar orientation.

## Description

Create is the constructor for the class instance, and calls the inherited constructor on entry.

Create sets the associated control for the class instance and the Kind property to the values specified in the AControl and AKind arguments. Create sets the default values for properties, including:

Page
  Set to 80.
Increment
  Set to 8.
Position and Range
  Set to 0 (zero).
Smooth, Tracking
  Both are set to False.
Visible
  Set to True.

## See also

TObject.Create